<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WORK SECTION</title>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" rel="stylesheet">
</head>
<style>
body {
    font-family: 'Arial';
    font-size: 1rem;
}
li {
    list-style: none;
}
.work-tabs {
    display: flex;
}
.tab-item {
    border: 1px solid #333;
    padding: 1rem;
    background-color: darkcyan;
}
.active {
    background-color: tomato;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
}


</style>
<body>
    <section class="section">
        <ul class="work-tabs">
            <li data-cat="all" class="tab-item active">All</li>
            <li data-cat="graphic-design" class="tab-item">Graphic Design</li>
            <li data-cat="web-design" class="tab-item">Web Design</li>
            <li data-cat="landing-pages" class="tab-item">Landing Pages</li>
            <li data-cat="wordpress" class="tab-item">Wordpress</li>
        </ul>

        <ul class="gallery">
            <li data-cat="graphic-design" class="gallery-item">
                <img src="./img/works-gallery/img1.png" alt="">
            </li>
            <li data-cat="web-design" class="gallery-item">
                <img src="./img/works-gallery/img2.png" alt="">
            </li>
            <li data-cat="web-design" class="gallery-item">
                <img src="./img/works-gallery/img3.png" alt="">
            </li>
            <li data-cat="landing-pages" class="gallery-item">
                <img src="./img/works-gallery/img4.png" alt="">
            </li>
            <li data-cat="wordpress" class="gallery-item">
                <img src="./img/works-gallery/img5.png" alt="">
            </li>
            <li data-cat="wordpress" class="gallery-item">
                <img src="./img/works-gallery/img6.png" alt="">
            </li>
            <li data-cat="wordpress" class="gallery-item">
                <img src="./img/works-gallery/img7.png" alt="">
            </li>
            <li data-cat="landing-pages" class="gallery-item">
                <img src="./img/works-gallery/img8.png" alt="">
            </li>
            <li data-cat="landing-pages" class="gallery-item">
                <img src="./img/works-gallery/img9.png" alt="">
            </li>
            <li data-cat="web-design" class="gallery-item">
                <img src="./img/works-gallery/img10.png" alt="">
            </li>
            <li data-cat="graphic-design" class="gallery-item">
                <img src="./img/works-gallery/img11.png" alt="">
            </li>
            <li data-cat="graphic-design" class="gallery-item">
                <img src="./img/works-gallery/img12.png" alt="">
            </li>
        </ul>

    </section>
    
    <script>
        
        const workTabs = document.querySelector('.work-tabs');
        const tabItems = document.querySelectorAll('.tab-item');
        const gallery = document.querySelector('.gallery');
        const galleryItem = document.querySelectorAll('.gallery-item');

        let activeClass = 'active';

        changeClass();

        function changeClass(event) {
            let tab = event.target.closest('li');

            for (let elem of tabItems) {
                elem.classList.remove(activeClass);
            }

            tab.classList.add(activeClass);
        }





    </script>
   
</body>
</html>